<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use RealRashid\SweetAlert\Facades\Alert;


class HomeController extends Controller
{
    public function login_form()
    {
        return view('admin.auth.login');
    }

    public function home()
    {
        return view('admin.auth.index');
    }

    public function authenticate(Request $request)
    {

        if (\Auth::attempt(['email' => $request['email'], 'password' => $request['password'], 'type' => 'admin'])) {
            toast('مرحبا بكم في لوحة التحكم', 'success', 'left');

            return redirect()->route('dashboard');
        } else {
            Alert::error('خطأ في البيانات', 'البريد الألكتروني أو الرقم السري خطأ');

            return redirect()->back();
        }
    }

    public function admin_logout()
    {
        \Auth::logout();
        toast('تم تسجيل الخروج بنجاح', 'success', 'top-left');

        return redirect()->route('admin_login');
    }
}
