<?php

namespace App\Http\Controllers\web;

use App\Http\Controllers\Controller;
use App\Models\Favourite;
use App\Models\Notification;
use Illuminate\Http\Request;

class FavouritesController extends Controller
{
    public function favourite_product(Request $request)
    {
        $validator = \Validator::make($request->all(), [
            'product_id' => 'required'
        ]);
        if ($validator->passes()) {

            $check = Favourite::where(['product_id' => $request['product_id'], 'user_id' => \Auth::user()->id])->first();
            if ($check) {
                $check->delete();
                $title = \Lang::get('site.delete_favourite');
                $confirmButtonText = \Lang::get('site.done');
                $class = 'is-favorite';
                $flag = 'delete_favourite';

                return response()->json(['status' => 1, 'msg' => $title, 'title' => $title, 'confirm_text' => $confirmButtonText, 'class' => $class, 'flag' => $flag]);

            } else {
                Favourite::create(['product_id' => $request['product_id'], 'user_id' => \Auth::user()->id]);
                $title = \Lang::get('site.add_favourite');
                $confirmButtonText = \Lang::get('site.done');
                $class = 'is-favorite';
                $flag = 'add_favourite';

                return response()->json(['status' => 1, 'msg' => $title, 'title' => $title, 'confirm_text' => $confirmButtonText, 'class' => $class, 'flag' => $flag]);
            }


        } else {
            $title = \Lang::get('site.error');
            $confirmButtonText = \Lang::get('site.close');
            return response()->json(['status' => 0, 'msg' => $validator->errors()->first(), 'title' => $title, 'confirm_text' => $confirmButtonText]);
        }
    }

    public function favourites()
    {
        $rows = \Auth::user()->favourite_products;
        return view('web.favourites', compact('rows'));
    }

    public function notifications()
    {

        Notification::where('user_id', \Auth::user()->id)->update([
            'read' => 'true'
        ]);
        $rows = Notification::where('user_id', \Auth::user()->id)->orderByDesc('id')->get();
        return view('web.notifications', compact('rows'));
    }
}
