<?php

namespace App\Http\Resources;

use Carbon\Carbon;
use Illuminate\Http\Resources\Json\JsonResource;

class CommentsResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'id'=>$this->id,
            'comment'=>$this->comment,
            'owner_id'=>$this->user ? (integer)$this->user->id : 0,
            'owner_username'=>$this->user ? $this->user->username : '',
            'owner_image'=>$this->image ? asset('images/users/' . $$this->user->image) : '',
            'time'=>Carbon::parse($this->created_at)->diffForHumans()
        ];
    }
}
