<?php

namespace App\Providers;

use App\Models\Category;
use App\Models\Setting;
use Illuminate\Support\ServiceProvider;
use Illuminate\Support\Facades\Schema;

class AppServiceProvider extends ServiceProvider
{
    /**
     * Register any application services.
     *
     * @return void
     */
    public function register()
    {
        //
    }

    /**
     * Bootstrap any application services.
     *
     * @return void
     */
    public function boot()
    {
        $setting  = Setting::first();
        $footer_categories   = Category::where('parent_id',null)->get();
        view()->share([
            'setting'=>$setting,
            'footer_categories'=>$footer_categories
        ]);

        Schema::defaultStringLength(191);
    }
}
