@include('web.controllers.header')

<div class="container mb-60">
    <div class="row">
        <div class="col-md-3">
            <section class="global-head">
                <article>
                    <h5><strong>@lang('site.Categories')</strong></h5>
                    <p><small>@lang('site.Select what you want')</small></p>
                </article>
            </section>
            <main class="main-filter">
                <form action="{{route('category_filter')}}" method="get">
                    <section class="collapse-area">
                        <div class="panel-group" id="accordion">

                            <?php
                            $i = 1;
                            ?>
                            @foreach($categories as $category)
                                <div class="panel panel-default">
                                    <div class="panel-heading">
                                        <h4 class="panel-title">
                                            <a class="panel-title" data-toggle="collapse" data-parent="#accordion"
                                               href="#collapse{{$category->id}}">
                                                <p>{{$category->name[\App::getLocale()]}}</p></a>
                                        </h4>
                                    </div>
                                    <!-- give this class 'in' to make it not collapsed
                                    for ex class="panel-collapse collapse in" -->
                                    <div id="collapse{{$category->id}}"
                                         class="panel-collapse collapse {{$i == 1 ? "in" : ''}}">
                                        <div class="panel-body">
                                            @if(count($category->sub_categories) > 0)
                                                @foreach($category->sub_categories as $sub_category)
                                                    <div class="checkbox">
                                                        <label><input name="categories[]" type="checkbox"
                                                                      value="{{$sub_category->id}}">{{$sub_category->name[\App::getLocale()]}}
                                                        </label>
                                                    </div>
                                                @endforeach
                                            @else
                                                <div class="checkbox">
                                                    <label><input type="checkbox" name="categories[]"
                                                                  value="{{$category->id}}">{{$category->name[\App::getLocale()]}}
                                                    </label>
                                                </div>

                                            @endif

                                        </div>
                                    </div>
                                </div>
                                <?php
                                $i++;
                                ?>
                            @endforeach
                        </div>
                    </section>
                    <section class="mt-30">
                        <h4>Country</h4>
                        <div class="form-group">
                            <select name="country_id" class="form-control">
                                @foreach($countries as $country)
                                    <option value="{{$country->id}}">{{$country->name[\App::getLocale()]}}</option>
                                @endforeach

                            </select>
                        </div>
                    </section>

                    <div style="text-align: center">
                        <button class="btn btn-primary mt-20" width="100%" type="submit"><small>@lang('site.Filter')</small></button>

                    </div>
                </form>
            </main>
        </div>
        <div class="col-md-9">
            <div class="row">
                <div class="col-md-10 px-0">
                    <section class="mt-20">
                        <form action="{{route('search')}}" method="get">
                            <div class="input-group">
                                <input type="text" name="search" class="form-control"
                                       required placeholder="Search for products ..">
                                <span class="input-group-btn">
                                    <button class="btn btn-default" type="submit"><i class="fa fa-search"></i></button>
                                </span>
                            </div>
                        </form>
                    </section>
                </div>
                @if(\Auth::check())
                    <div class="col-md-2 text-center">
                        <a href="{{route('new_product')}}">
                            <button class="btn btn-primary mt-20" width="100%" type="button"><small>@lang('site.New Ad') <i
                                        class="fa fa-plus px-5"></i></small></button>
                        </a>
                    </div>
                @endif
            </div>
            <section class="global-head">
                <article>
                    <h4><strong>@lang('site.Explore New Deals Today')</strong></h4>
                    <p>@lang('site.Welcome, We wish you the best deal today')</p>
                </article>
            </section>
            @foreach($rows as $product)
                @include('web.controllers.product')
            @endforeach

        </div>
    </div>
</div>
</div>

@include('web.controllers.footer')

