@include('web.controllers.header')
<div class="container">
    <!-- place an Ad -->
    <section class="global-head">
        <article>
            <h4><strong>@lang('site.Place an Ad')</strong></h4>
            <p>@lang('site.Please make sure you add all details to your Ad')</p>
        </article>
    </section>
    <!--  edit form to add details to Ad -->
    <section class="place-ad form-horizontal">
        <form action="{{route('post_product')}}" method="post" enctype="multipart/form-data">
            {{csrf_field()}}
            <div class="row">
                <!-- title -->
                <section class="p-20 pt-30">
                    <div class="form-group">
                        <label class="control-label col-sm-2">@lang('site.Title')</label>
                        <div class="col-sm-10">
                            <input type="text" value="{{old('title')}}"  required class="form-control" id="" placeholder="@lang('site.Title')" name="title">
                        </div>
                    </div>
                    <!-- main category -->
                    <div class="row">
                        <div class="form-group col-md-6">
                            <label for="sel1" class="control-label col-sm-2">@lang('site.Main category')</label>
                            <div class="col-sm-10">
                                <select name="category_id" required class="form-control" id="sel1">
                                    <option selected disabled>@lang('site.plz_select_category') </option>
                                    @foreach($categories as $category)
                                    <option value="{{$category->id}}">{{$category->name[\App::getLocale()]}}</option>
                                    @endforeach

                                </select>
                            </div>
                        </div>
                        <div class="form-group col-md-6">
                            <label for="sel1" class="control-label col-sm-2">@lang('site.Sub category')</label>
                            <div class="col-sm-10">
                                <select name="sub_category_id" class="form-control" id="sel2">
                                   <option></option>
                                </select>
                            </div>
                        </div>
                    </div>

                </section>
                <hr>
                <!-- Description -->
                <section class="p-20">
                    <div class="form-group">
                        <label class="control-label col-sm-2">@lang('site.Description')</label>
                        <div class="col-sm-10">
                            <textarea name="description" value="{{old('description')}}" id="" required cols="30" rows="4" placeholder="@lang('site.write a description')"></textarea>
                        </div>
                    </div>
                    <!-- photos -->
                    <div class="form-group">
                        <label class="control-label col-sm-2">@lang('site.Photos')</label>
                        <div class="col-sm-10 mb-20">
                            <div class="relative">
                                <input class="multable-photos" name="images[]"  required id="file-input" type="file" multiple>
                                <div id="preview" class="pro-images">
                                </div>
                            </div>
                        </div>
                    </div>
                </section>
                <hr>
                <section class="p-20">
                    <div class="form-group">
                        <label for="" class="control-label col-sm-2">@lang('site.Country')</label>
                        <div class="col-sm-10">
                            <select required name="country_id" class="form-control" id="">
                               @foreach($countries as $country)
                                <option value="{{$country->id}}">{{$country->name[\App::getLocale()]}}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                </section>
                <hr>

                <!-- <div class="col-md-2 col-sm-4 mb-20">
                    <label for="name"> Name</label>
                </div>
                <div class="col-md-4 col-sm-8 mb-20">
                    <input type="text" class="form-control" id="NAme" placeholder="Add Name">
                </div>
                <div class="col-md-2 col-sm-4 mb-20">
                    <label for="mobile-num">Mobile Number</label>
                </div>
                <div class="col-md-4 col-sm-8 mb-20">
                    <input type="number" class="form-control" id="mobile-num" placeholder="Add Number">
                </div>
                <div class="col-md-2 col-sm-4 mb-20">
                    <label for="email-add">Email Address</label>
                </div>
                <div class="col-md-4 col-sm-8 mb-20">
                    <input type="email" class="form-control" id="email-add" placeholder="Add Email">
                </div> -->
                <!-- gender -->
                <section class="p-20">
                    <div class="form-group">

                        <label class="control-label col-sm-2">@lang('site.Size')</label>
                        <div class="col-sm-4">
                            <input type="text" class="form-control" value="{{old('size')}}" id="" placeholder="Size" name=">@lang('site.Size')">
                        </div>
                        <label class="control-label col-sm-2">@lang('site.Type')</label>
                        <div class="col-sm-4">
                            <input type="text" class="form-control" value="{{old('type')}}" id="" placeholder="Type" name="@lang('site.Type')">
                        </div>
                        <label class="control-label col-sm-2 pt-20">@lang('site.Year')</label>
                        <div class="col-sm-4 pt-20">
                            <input type="text" class="form-control" value="{{old('year')}}" id="" placeholder="Year" name="@lang('site.Year')">
                        </div>
                        <label class="control-label col-sm-2 pt-20">@lang('site.Shape')</label>
                        <div class="col-sm-4 pt-20">
                            <input type="text" class="form-control" value="{{old('shpe')}}" id="" placeholder="Shape" name="@lang('site.Shape')">
                        </div>
                    </div>
                </section>
                <hr>
                <!-- contact me -->
                <section class="p-20">
                    <div class="form-group">
                        <div class="col-sm-12">
                            <div class="checkbox">
                                <label><input type="checkbox" name="show_mobile" value="true">@lang('site.Show Your Phone ?')</label>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <div class="col-sm-12">
                            <div class="checkbox">
                                <label><input type="checkbox" name="receive_notification" value="true">@lang('site.Activate Chat ?')</label>
                            </div>
                        </div>
                    </div>
                </section>
                <hr>
                <div class="col-sm-12">
                    <label for="contact-me">{{trans('site.Contact me by')}}</label>
                </div>
                <div class="col-md-10 col-sm-8 mb-20">
                    <label class="radio-inline"><input type="radio" value="phone"  name="contact_type" checked>@lang('site.Phone')</label>
                    <label class="radio-inline"><input type="radio" value="chat" name="contact_type">@lang('site.Message')</label>
                    <label class="radio-inline"><input type="radio" value="both" name="contact_type">@lang('site.Both')</label>
                </div>
                <!-- submit -->
                <div class="col-sm-12 text-right p-20">
{{--                    <a href="product-details.php" class="p-20">Preview Your Ad</a>--}}
                    <button class="btn btn-primary " width="100%" type="submit"><small>@lang('site.Submit') </small></button>
                </div>
            </div>
        </form>
    </section>
</div>

@include('web.controllers.footer')
