<?php


Route::group(['namespace' => 'Api'], function () {
    Route::post('register', 'UsersController@register');

    Route::post('login', 'UsersController@login');


    // forget Password
    Route::post('forget_password', 'UsersController@forget_password');
    Route::post('check_forget_code', 'UsersController@check_forget_code');
    Route::post('change_password', 'UsersController@change_password');
    Route::get('single_product/{id}', 'ProductsController@single_product');
    Route::get('countries', 'DataController@countries');
    Route::get('settings', 'DataController@settings');
    Route::resource('banks', 'BanksController');
    Route::post('contact_us', 'DataController@contact_us');
    Route::post('suggestion', 'DataController@suggestion');
    Route::post('search', 'DataController@search');
    Route::get('categories', 'DataController@categories');
    Route::get('home/{id?}','HomeController@home');
    Route::group(['middleware' => ['jwt.verify']], function () {
        Route::post('logout', 'UsersController@logout');
        Route::post('product', 'ProductsController@post');
        Route::post('update_product', 'ProductsController@update_product');
        Route::delete('delete_product/{id}', 'ProductsController@delete_product');
        Route::post('complete_product', 'ProductsController@complete_product');
        Route::post('update_profile', 'UsersController@update_profile');
        Route::post('change_old_password', 'UsersController@change_old_password');
        Route::get('favourite_product/{id}', 'ProductsController@favourite_product');
        Route::post('report', 'ProductsController@report');
        Route::get('notifications', 'DataController@notifications');
        Route::post('comment', 'ProductsController@comment');
        Route::get('my_products', 'ProductsController@my_products');
        Route::get('my_favorites', 'ProductsController@my_favorites');
        Route::post('commission', 'BanksController@commission');
        Route::post('rate_product','ProductsController@rate_product');
        Route::post('rate_person','ProductsController@rate_person');
        //Chat API
        Route::get('chat_history', 'ChatController@chat_history');
        Route::get('check_room/{receiver_id}', 'ChatController@check_room');
        Route::post('send_message', 'ChatController@send_message');
    });

});
