<?php

use Illuminate\Support\Facades\Config;

$locale = Request::segment(1);

if ($locale == Config::get('app.available_locales')) {
    \App::setLocale($locale);

} else {

    $locale = null;

}
Route::get('/language/{lang}', 'web\HomeController@change_language_web')->name('language')->middleware('lang');

Route::group(['prefix' => $locale, 'middleware' => 'lang', 'namespace' => 'web'], function () {
    Route::get('/', 'HomeController@home')->name('home');
    Route::post('register', 'UsersController@register')->name('register');
    Route::get('categories', 'HomeController@home_categories')->name('home_categories');
    Route::post('login', 'UsersController@login')->name('login');
    Route::get('forget_password', 'UsersController@forget_password')->name('forget_password');
    Route::get('reset_code', 'UsersController@reset_code')->name('reset_code');
    Route::get('change_password', 'UsersController@change_password')->name('change_password');
    Route::get('category_filter', 'HomeController@category_filter')->name('category_filter');
    Route::get('search', 'HomeController@search')->name('search');
    Route::get('product_details/{id}', 'ProductsController@product_details')->name('product_details');
    Route::get('owner_profile/{user_name}', 'UsersController@owner_profile')->name('owner_profile');
    Route::get('about_us', 'HomeController@about_us')->name('about_us');
    Route::get('contact_us', 'HomeController@contact_us')->name('contact_us');
    Route::post('post_contact_us', 'HomeController@post_contact_us')->name('post_contact_us');
    Route::post('news_letter', 'HomeController@news_letter')->name('news_letter');


    Route::group(['middleware' => 'user'], function () {
        Route::get('logout', 'UsersController@logout')->name('logout');
        Route::get('favourite_product', 'FavouritesController@favourite_product')->name('favourite_product');
        Route::get('report_product', 'ProductsController@report_product')->name('report_product');
        Route::post('post_comment/{id}', 'ProductsController@post_comment')->name('post_comment');
        Route::get('favourites', 'FavouritesController@favourites')->name('favourites');
        Route::get('notifications', 'FavouritesController@notifications')->name('notifications');
        Route::get('new_product', 'ProductsController@new_product')->name('new_product');
        Route::post('post_product', 'ProductsController@post_product')->name('post_product');
        Route::get('get_sub_categories', 'ProductsController@get_sub_categories')->name('get_sub_categories');
        Route::get('profile', 'UsersController@profile')->name('profile');
        Route::post('update_profile', 'UsersController@update_profile')->name('update_profile');
        Route::post('change_old_password', 'UsersController@change_old_password')->name('change_old_password');
        Route::get('advertisement', 'UsersController@advertisement')->name('advertisement');
        Route::get('delete_product/{id}', 'ProductsController@delete_product')->name('delete_product');
        Route::post('rate_user/{username}', 'UsersController@rate_user')->name('rate_user');
        Route::post('rate_product/{id}', 'UsersController@rate_product')->name('rate_product');
        Route::get('commission', 'UsersController@commission')->name('commission');
        Route::post('pay_commission', 'UsersController@pay_commission')->name('pay_commission');
        Route::post('calc_commission', 'UsersController@calc_commission')->name('calc_commission');
    });

});


